Bug 1342795 - Starting a VM from Pool from userportal hangs on stateless snapshot creation
Summary: Starting a VM from Pool from userportal hangs on stateless snapshot creation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-engine
Classification: oVirt
Component: BLL.Virt
Version: 4.0.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ovirt-4.0.0-rc
: 4.0.0
Assignee: Shmuel Melamud
QA Contact: Israel Pinto
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-06-05 11:29 UTC by Shmuel Melamud
Modified: 2017-03-20 20:49 UTC (History)
7 users (show)

Fixed In Version: latest
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2016-07-05 07:45:30 UTC
oVirt Team: Virt
rule-engine: ovirt-4.0.0+
rule-engine: blocker+
rule-engine: planning_ack+
rule-engine: devel_ack+
mavital: testing_ack+


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 58555 0 master MERGED core: Correct flow of RunVmCommand.endAction() 2016-06-09 12:51:33 UTC
oVirt gerrit 59180 0 ovirt-engine-4.0 MERGED core: Correct flow of RunVmCommand.endAction() 2016-06-15 07:52:28 UTC

Description Shmuel Melamud 2016-06-05 11:29:20 UTC
How reproducible:
100%

Steps to Reproduce:
1. Create a stateless VM Pool and give some user UserRole permission on it.
2. Enter userportal and press "Run VM" on the Pool.

Actual results:
VM is allocated (VM name is shown), but not started.

Expected results:
VM is started.

Additional info:
Checking webadmin for the VM that was allocated shows that stateless snapshot was created, but left locked.

Comment 1 Simone Tiraboschi 2016-06-13 15:51:17 UTC
Don't we need to backport it to 4.0?

Comment 2 Shmuel Melamud 2016-06-14 11:00:30 UTC
Yes, we need.

Comment 3 Israel Pinto 2016-06-23 14:00:35 UTC
Verify with 
RHEVM: 4.0.0.6-0.1.el7ev
Hosts:
OS Version:RHEL - 7.2 - 9.el7_2.1
Kernel Version:3.10.0 - 229.el7.x86_64
KVM Version:2.3.0 - 31.el7_2.16
LIBVIRT Version:libvirt-1.2.17-13.el7_2.5
VDSM Version:vdsm-4.18.4-2.el7ev

Steps to Reproduce:
1. Create a stateless VM Pool and give some user UserRole permission on it.
2. Enter userportal and press "Run VM" on the Pool.

Results
1. VM is up and running
2. Stateless snapshot was created, no locked (read only)

Comment 4 Sandro Bonazzola 2016-07-05 07:45:30 UTC
oVirt 4.0.0 has been released, closing current release.


Note You need to log in before you can comment on or make changes to this bug.